Subject: [manet] Working Group Last Call for draft-ietf-manet-ibs

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Wed, 6 Aug 2014 18:28:44 +0000

Working group participants, 

This is a Last Call on the above document. Please review and note any issues on the list on or before August 20, 2014. 

Regards,
Stan

---

From: Thomas Clausen <[email-masked]>
Date: Wed, 6 Aug 2014 21:44:06 +0200

Stan, All,

I've previously given my feedback to this document on the list, which the author took into account in producing the current revision. 

I am fully satisfied with this version, and support its publication as std. track RFC wholeheartedly.

Best,

Thomas

Sent from my iPad

> On 06 Aug 2014, at 20:28, "Stan Ratliff (sratliff)" <[email-masked]> wrote:
> 
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet

---

From: Jiazi YI <[email-masked]>
Date: Wed, 6 Aug 2014 22:03:43 +0200

Hi,

There is an

Appendix A: example
TBD

I don't know it's "to be done", or "to be dropped"? :-P

best

Jiazi

On Wed, Aug 6, 2014 at 8:28 PM, Stan Ratliff (sratliff) <[email-masked]>
wrote:

> This is a Last Call on the above document. Please review and note any
> issues on the list on or before August 20, 2014.
>
> Regards,
> Stan

---

From: Thomas Clausen <[email-masked]>
Date: Wed, 6 Aug 2014 22:50:21 +0200

Jiazi,

Try to look at the latest version:

	http://tools.ietf.org/html/draft-ietf-manet-ibs-02

;)

Thomas

Sent from my iPad

> On 06 Aug 2014, at 22:03, Jiazi YI <[email-masked]> wrote:
> 
> Hi, 
> 
> There is an 
> 
> Appendix A: example 
> TBD
> 
>> On Wed, Aug 6, 2014 at 8:28 PM, Stan Ratliff (sratliff) <[email-masked]> wrote:

---

From: Christopher Dearlove <[email-masked]>
Date: Wed, 6 Aug 2014 22:01:48 +0100

I don't think you are looking at the latest version.

-- 
Christopher Dearlove
[email-masked] (iPhone)
[email-masked] (home)

> On 6 Aug 2014, at 21:03, Jiazi YI <[email-masked]> wrote:
> 
> Hi, 
> 
> There is an 
> 
> Appendix A: example 
> TBD
>

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 6 Aug 2014 14:07:39 -0700

I am in favor of publication of this document.

Minor comments:
- s/additinal/additional/
- add comma after e.g.: "(e.g. 0 for HELLO)"
- in the example, isn't an IP source address of 192.0.2.0 unusual?

Regards
Ulrich

---

From: Jiazi YI <[email-masked]>
Date: Wed, 6 Aug 2014 23:31:09 +0200

Oops... my bad. I simply took the first item from google.

I think the draft is in good shape, and in favour of its publication.

Just a few minor comments (mainly editorial):

 o As the draft is specific for ECCSI (RFC6507), I think it would be
helpful to mention it in the applicability statement.
    I'm even wondering if it would be more precise to name the draft "ECCSI
based Signatures for for MANET Routing Protocols", because there are other
Identity-based signatures which can't be implemented using this draft
directly. Of course, it's up to the author to decide which is the more
appropriate title.

  o It would be helpful to expand the abbreviations on their first use,
such as AES. I don't know if it's necessary to precise what's OLSRv2 or
NHDP -- the RFC editor would fix it if there is anything wrong :)

  o  In

For the cryptographic function ECCSI ID is the element <key-id>
      defined in Section 12.1 of [RFC7182]
<http://tools.ietf.org/html/rfc7182#section-12.1>.  This MUST NOT be
empty.

      A comma between ECCSI and ID would make it clearer.

  o In

The advantage referred to is that each router can be configured once
   (for its key lifetime) by a trusted authority, independently of all
   other routers.  Thus *router A* can connect to the authority (typically
   in a secure environment) to receive a private key, or can have a

     Normally when we use the notation like router/node A,B,C..., it's for
an example or a figure -- at least, my first reaction is looking for the
examples. As it's a general case here, I think "a router" should be good.

best

Jiazi

---

From: Christopher Dearlove <[email-masked]>
Date: Wed, 6 Aug 2014 22:43:25 +0100

I replied to just Ulrich, which was meant to go to list. He then replied, probably not noticing I'd just sent to him.

So to catch up, I said RFC 5737, he said he was referring to the .0. I'm now saying that that's not unheard of, and as the actual numbers here are really unimportant - except changing them requires recalculation and reconfirmation (and a bunch of reformatting work) - I think changing is not a good idea.

I didn't comment on the other two points. Obviously the first one shows I omitted my usual spellcheck step. I'll put in when next reissuing.

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 6 Aug 2014 14:48:11 -0700

Thanks, Chris. The choice of the IP address may not be ideal IMO, but
I understand it would be more painful to recalculate the examples (and
to verify them by an external party). So I am fine with leaving as is.

---

From: Christopher Dearlove <[email-masked]>
Date: Wed, 6 Aug 2014 23:01:43 +0100

Comments inline.

On 6 Aug 2014, at 22:31, Jiazi YI wrote:

>  o As the draft is specific for ECCSI (RFC6507), I think it would be helpful to mention it in the applicability statement. 

It uses ECCSI rather than is for ECCSI, so I don't think that belongs in the applicability section. I think it;s well-covered elsewhere.

>     I'm even wondering if it would be more precise to name the draft "ECCSI based Signatures for for MANET Routing Protocols", because there are other Identity-based signatures which can't be implemented using this draft directly. Of course, it's up to the author to decide which is the more appropriate title. 

I think that a draft "identity based signatures" will have people understanding what it's about, but ECCSI will hit a "what's that?" Spelled out in full - just look at the title of RFC 6507 which is just ECCSI spelled out. So while I take the point, I prefer to stick with what's there.

>   o It would be helpful to expand the abbreviations on their first use, such as AES. I don't know if it's necessary to precise what's OLSRv2 or NHDP -- the RFC editor would fix it if there is anything wrong :)

I tend to assume (rightly or wrongly) anyone reading this will know what AES is, and it's just a throwaway reference to RFC 7182, which to expand would mean double parentheses IIRC. But I'm pretty sure the RFC Editor will impose whatever the preferred style is.

>       defined in Section 12.1 of [RFC7182].  This MUST NOT be empty.
> 

It would. Thanks.

>    other routers.  Thus router A can connect to the authority (typically
>      Normally when we use the notation like router/node A,B,C..., it's for an example or a figure -- at least, my first reaction is looking for the examples. As it's a general case here, I think "a router" should be good. 

I needed the rest of the paragraph, as I was expecting a later reference in it to router B, which I think is reasonable usage even without a figure. But there is no router B, so I agree with you, that's poor usage. Thanks.

> 
> best
> 
> Jiazi
> 
> 
> On Wed, Aug 6, 2014 at 10:50 PM, Thomas Clausen <[email-masked]> wrote:
> Jiazi,
>